

angular.module('goApp.getController', ['goApp.data'])
  .provider('getController', function () {
    "use strict";
    this.$get = function ($location, Data) {
      return function () {
        var data = Data.getPageData($location.path);
        if(data.controller === undefined){
          console.log('> Loading controller: SlideshowController');
          return 'SlideshowController';
        } else {
          console.log('> Loading controller: ' + data.controller);
          return data.controller;
        }
      };
    };
  });
